import { Type } from '@angular/core';
import { Widget } from './widget';
import { GeoFenceWidgetValue } from './widget-value/geo-fence-widget-value';
import { GeofenceComponent } from '../../../sculptor-lib/widgets/geofence/geofence.component';
import { PropertyPanelFieldMetadata } from '../common/property-panel-field';
declare type GeoFenceValue = Type<Array<GeoFenceWidgetValue>>;
export declare class GeoFence extends Widget {
    component: Type<GeofenceComponent>;
    centre: string;
    helpText: string;
    radius: string;
    dependents: [];
    markup: string;
    name: String;
    value: GeoFenceValue;
    constructor(field?: Widget);
    /**
     * get widget value
     *
     * @returns
     */
    getWidgetValue(): any;
    /**
     * Set widget Value
     *
     * @param value
     */
    setWidgetValue(value: any): void;
    /**
     * this will return serialize of widget
     */
    getWidgetSerializedValue(): string;
    newGeoFence(): void;
    /**
     * function to create link object with existing values
     *
     *@param field
     *
     */
    geoFence(field: any): void;
    static getPropertyPanelFieldMetadata(target: any, key: string): PropertyPanelFieldMetadata;
    getPropertyPanelFieldUIProperties(): any;
}
export {};
